<template>
  <div
    class="groupRadio">
    <div class="groupRadio-title">
      <slot name="title"/>
    </div>
    <label
      v-for="item in list"
      :key="`radio-${name}-${item.value}`"
      class="input inputRadioGroup _radio">
      <input
        class="inputRadioGroup-field"
        type="radio"
        :checked="value === item.value"
        @change="$emit('input', item.value)"
        :name="`switcher-${name}`"
        :value="item.value"
        :disabled="disabled">
      <span class="input-field inputRadioGroup-box">
        <img
          svg-inline
          src="~/assets/svg/redesign/check-radio.svg">
      </span>
      <span class="inputRadioGroup-label">
        {{ item.label }}
      </span>
    </label>
  </div>
</template>

<script>
export default {
  name: 'AppRadioGroup',
  props: {
    name: {
      type: String,
      required: true,
    },
    list: {
      type: Array,
      required: true,
    },
    value: {
      type: [String, Number],
      default: null,
    },
    disabled: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="postcss">
  .groupRadio {
    display: inline-flex;
    justify-content: flex-start;
    font-size: 0.75rem;
    line-height: 1.4;
    color: var(--color-main-lightest);

    &-title {
      display: inline-block;
      padding-top: 0.125rem;
      padding-right: 0.875rem;
      white-space: nowrap;
    }

    .inputRadioGroup {
      justify-content: center;
      padding-left: 1.75rem;
      padding-right: 1.25rem;

      &-field {
        position: absolute;
        margin: 0;
        appearance: none;
      }

      &-box.input-field {
        position: absolute;
        display: flex;
        margin-left: -1.75rem;
        padding: 0;
        width: 1rem;
        height: 1rem;
        min-height: 1rem;
        border-radius: 50%;
        cursor: pointer;

        .svg {
          display: block;
          margin: auto;
          fill: var(--form-bg);
        }
      }

      &-label {
        display: inline-block;
        padding-top: 0.125rem;
        font: inherit;
        color: inherit;
        white-space: nowrap;
        user-select: none;
        cursor: pointer;
      }

      &-field:checked + .inputRadioGroup-box {
        .svg {
          fill: var(--form-checked-color);
        }
      }

      &-field:focus + .inputRadioGroup-box {
        border: var(--form-focus-border);
      }

      &-field:disabled + .inputRadioGroup-box {
        background-color: var(--form-disabled-bg);

        .svg {
          fill: var(--form-disabled-bg);
        }
      }

      &-field:disabled:checked + .inputRadioGroup-box {
        .svg {
          fill: var(--placeholder-disabled-color);
        }
      }

      @media (min-width: 981px) and (max-width: 1200px) {
        &-label {
          font-size: 0.875rem;
        }
      }

      @media screen and (max-width: 980px) {
        &-label {
          font-size: 0.875rem;
        }
      }
    }
  }

</style>
